Subject: Re: [PATCH 10/11] tile: fix multiple build failures from system.h dismantle

From: Paul Gortmaker <[email-masked]>
Date: Mon, 2 Apr 2012 14:05:24 -0400

On 12-04-02 11:59 AM, Chris Metcalf wrote:
> On 4/2/2012 1:52 AM, David Howells wrote:
>> Paul Gortmaker <[email-masked]> wrote:
>>
>>> Commit bd119c69239322caafdb64517a806037d0d0c70a
>>>
>>>     "Disintegrate asm/system.h for Tile"
>>>
>>> created the asm/switch_to.h file, but did not add an include
>>> of it to all its users.
>>>
>>> Also, commit b4816afa3986704d1404fc48e931da5135820472
>>>
>>>         "Move the asm-generic/system.h xchg() implementation to asm-generic/cmpxchg.h"
>>>
>>> introduced the concept of asm/cmpxchg.h but the tile arch
>>> never got one.  Fork the cmpxchg content out of the asm/atomic.h
>>> file to create one.
>>>
>>> Cc: Chris Metcalf <[email-masked]>
>>> Signed-off-by: Paul Gortmaker <[email-masked]>
>> Acked-by: David Howells <[email-masked]>
> 
> Thanks!  I can push this through the tile tree along with some other
> bug-fix changes for -rc2.

Perfect.  I see you have a tree in linux-next, so I'll drop it
from my series here without having to worry about reintroducing
the build failure.

Thanks.
Paul.